Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- MacroAnnotationAttachments
- MacroAnnotationNamers
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

o

scala.tools.nsc.typechecker

# ContextMode

###
Companion class ContextMode

#### object ContextMode

Source
  Contexts.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ContextMode
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val AmbiguousErrors: ContextMode
5.  final val ConstructorSuffix: ContextMode

   Are we in a secondary constructor after the this constructor call?

6.  final val DefaultMode: ContextMode
7.  final val DiagUsedDefaults: ContextMode

   Were default arguments used?

8.  final val EnrichmentEnabled: ContextMode

   To selectively allow enrichment in patterns, where other kinds of implicit conversions are not allowed

9.  final val FormerNonStickyModes: ContextMode

   TODO: The "sticky modes" are EXPRmode, PATTERNmode, TYPEmode.

   TODO: The "sticky modes" are EXPRmode, PATTERNmode, TYPEmode. To mimic the sticky mode behavior, when captain stickyfingers comes around we need to propagate those modes but forget the other context modes which were once mode bits; those being so far the ones listed here.

10.  final val ImplicitsEnabled: ContextMode
11.  final val MacrosEnabled: ContextMode
12.  final val NOmode: ContextMode
13.  final val PatternAlternative: ContextMode

    Are we typechecking pattern alternatives.

    Are we typechecking pattern alternatives. Formerly ALTmode.

14.  final val ReTyping: ContextMode

    Are we retypechecking arguments independently from the function applied to them? See `Typer.tryTypedApply` TODO - iron out distinction/overlap with SecondTry.

15.  final val ReturnExpr: ContextMode

    Are we in return position? Formerly RETmode.

16.  final val ReturnsSeen: ContextMode

    For method context: were returns encountered?

17.  final val SecondTry: ContextMode
18.  final val SelfSuperCall: ContextMode

    Is this context (enclosed in) a constructor call? (the call to the super or self constructor in the first line of a constructor.) In such a context, the object's fields should not be in scope

19.  final val StarPatterns: ContextMode

    Are star patterns allowed.

    Are star patterns allowed. Formerly STARmode.

20.  final val SuperInit: ContextMode

    Are we typing the "super" in a superclass constructor call super.<init>.

    Are we typing the "super" in a superclass constructor call super.<init>. Formerly SUPERCONSTRmode.

21.  final val SuppressDeadArgWarning: ContextMode

    Should a dead code warning be issued for a Nothing-typed argument to the current application.

22.  final val TypeConstructorAllowed: ContextMode

    Are unapplied type constructors allowed here? Formerly HKmode.

23.  final val TypingAnnotation: ContextMode

    Are we currently typing the core or args of an annotation? When set, Java annotations may be instantiated directly.

24.  def apply(bits: Int): ContextMode
25.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
26.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped